websocket-sharp : WebSocketSharp.Server Namespace

# HttpServer Class

Documentation for this section has not yet been entered.

## Syntax

public class HttpServer

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Server
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581

## Members

See Also: Inherited members from object.

## Public Constructors

| HttpServer () | Documentation for this section has not yet been entered.
| HttpServer (int) | Documentation for this section has not yet been entered.

## Public Properties

[read-only] | Port | int . Documentation for this section has not yet been entered.
[read-only] | ServicePath | IEnumerable<string> . Documentation for this section has not yet been entered.
| Sweeped | bool . Documentation for this section has not yet been entered.

## Public Methods

AddService<T> (string)

> Documentation for this section has not yet been entered.

GetFile (string) : byte[]

> Documentation for this section has not yet been entered.

Start ()

> Documentation for this section has not yet been entered.

Stop ()

> Documentation for this section has not yet been entered.

## Public Events

| OnConnect | Documentation for this section has not yet been entered.
| OnDelete | Documentation for this section has not yet been entered.
| OnError | Documentation for this section has not yet been entered.
| OnGet | Documentation for this section has not yet been entered.
| OnHead | Documentation for this section has not yet been entered.
| OnOptions | Documentation for this section has not yet been entered.
| OnPatch | Documentation for this section has not yet been entered.
| OnPost | Documentation for this section has not yet been entered.
| OnPut | Documentation for this section has not yet been entered.
| OnTrace | Documentation for this section has not yet been entered.

## Extension Methods

static

IsNull<T> (this T) : bool

> Determines whether the specified object is `null`.

static

IsNullDo<T> (this T, Action) : bool

> Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### HttpServer Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public HttpServer ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### HttpServer Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public HttpServer (int port)

> #### Parameters

> > port
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### AddService<T> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void AddService<T> (string absPath)
> where T : WebSocketSharp.Server.WebSocketService, new()

> #### Type Parameters

> > T
> >   Documentation for this section has not yet been entered.

> #### Parameters

> > absPath
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### GetFile Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public byte[] GetFile (string path)

> #### Parameters

> > path
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### OnConnect Event

> Documentation for this section has not yet been entered.

> ## Syntax

> public event EventHandler<ResponseEventArgs> OnConnect

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### OnDelete Event

> Documentation for this section has not yet been entered.

> ## Syntax

> public event EventHandler<ResponseEventArgs> OnDelete

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### OnError Event

> Documentation for this section has not yet been entered.

> ## Syntax

> public event EventHandler<WebSocketSharp.ErrorEventArgs> OnError

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### OnGet Event

> Documentation for this section has not yet been entered.

> ## Syntax

> public event EventHandler<ResponseEventArgs> OnGet

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### OnHead Event

> Documentation for this section has not yet been entered.

> ## Syntax

> public event EventHandler<ResponseEventArgs> OnHead

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### OnOptions Event

> Documentation for this section has not yet been entered.

> ## Syntax

> public event EventHandler<ResponseEventArgs> OnOptions

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### OnPatch Event

> Documentation for this section has not yet been entered.

> ## Syntax

> public event EventHandler<ResponseEventArgs> OnPatch

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### OnPost Event

> Documentation for this section has not yet been entered.

> ## Syntax

> public event EventHandler<ResponseEventArgs> OnPost

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### OnPut Event

> Documentation for this section has not yet been entered.

> ## Syntax

> public event EventHandler<ResponseEventArgs> OnPut

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### OnTrace Event

> Documentation for this section has not yet been entered.

> ## Syntax

> public event EventHandler<ResponseEventArgs> OnTrace

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Port Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public int Port { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### ServicePath Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public IEnumerable<string> ServicePath { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Start Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Start ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Stop Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Stop ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Sweeped Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool Sweeped { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581